## zip 1.0.0

=== DESCRIPTION ===
Package: zip
Title: Cross-Platform 'zip' Compression
Version: 1.0.0
Author: Gábor Csárdi, Kuba Podgórski, Rich Geldreich
Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
Description: Cross-Platform 'zip' Compression Library. A replacement
    for the 'zip' function, that does not require any additional
    external tools on any platform.
License: CC0
LazyData: true
URL: https://github.com/gaborcsardi/zip
BugReports: https://github.com/gaborcsardi/zip/issues
RoxygenNote: 6.0.1
Suggests: covr, testthat, withr
Encoding: UTF-8
NeedsCompilation: yes
Packaged: 2017-04-25 10:54:02 UTC; gaborcsardi
Repository: CRAN
Date/Publication: 2017-04-25 14:36:39 UTC
