## zip 2.0.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: zip
 Title: Cross-Platform 'zip' Compression
-Version: 2.0.2
+Version: 2.0.3
 Author: Gábor Csárdi, Kuba Podgórski, Rich Geldreich
 Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
 Description: Cross-Platform 'zip' Compression Library. A replacement
@@ -14,6 +14,6 @@
 Suggests: covr, processx, R6, testthat, withr
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2019-05-13 15:19:43 UTC; gaborcsardi
+Packaged: 2019-07-03 10:27:59 UTC; gaborcsardi
 Repository: CRAN
-Date/Publication: 2019-05-13 15:40:03 UTC
+Date/Publication: 2019-07-03 10:50:40 UTC
