## zip 2.1.0

=== DESCRIPTION ===
Package: zip
Title: Cross-Platform 'zip' Compression
Version: 2.1.0
Author: Gábor Csárdi, Kuba Podgórski, Rich Geldreich
Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
Description: Cross-Platform 'zip' Compression Library. A replacement
    for the 'zip' function, that does not require any additional
    external tools on any platform.
License: CC0
LazyData: true
URL: https://github.com/r-lib/zip#readme
BugReports: https://github.com/r-lib/zip/issues
RoxygenNote: 7.1.1
Config/testthat/edition: 3
Suggests: covr, processx, R6, testthat, withr
Encoding: UTF-8
NeedsCompilation: yes
Packaged: 2020-08-10 16:16:09 UTC; gaborcsardi
Repository: CRAN
Date/Publication: 2020-08-10 20:10:03 UTC
