=== debian/changelog ===
zip (2.31-4) unstable; urgency=low

  * Package for Maemo

 -- Daniel Martin Yerga <dyerga@gmail.com>  Wed,  2 Aug 2005 12:03:26 +0200

zip (2.31-3) unstable; urgency=low

  * Put manpages in section 1, not 1L (Closes #308045).
  * Fixed another typo (Closes: #309877).

 -- Santiago Vila <sanvila@debian.org>  Wed, 25 May 2005 16:03:26 +0200

zip (2.31-2) unstable; urgency=low

  * Fixed manpage typo (Closes: #301914).

 -- Santiago Vila <sanvila@debian.org>  Sun, 24 Apr 2005 19:23:48 +0200

zip (2.31-1) unstable; urgency=low

  * New upstream release.

 -- Santiago Vila <sanvila@debian.org>  Wed, 23 Mar 2005 20:12:12 +0100

zip (2.30-8) unstable; urgency=medium

  * Applied patch for Bug#279867 (CAN-2004-1010) by Greg Roelofs.
    Based on the patch by Josh Bressers, this one actually makes long
    filenames to be supported, as the string `name' is now allocated
    dynamically.

 -- Santiago Vila <sanvila@debian.org>  Mon, 15 Nov 2004 17:06:32 +0100

zip (2.30-7) unstable; urgency=medium

  * Fixed buffer overflow in unix.c, which happens when creating archives
    with very long file names (Closes: #279867). This is CAN-2004-1010.
    Patch by Martin Pitt, gives an error if len >= FNMAX. Thanks a lot.

 -- Santiago Vila <sanvila@debian.org>  Wed, 10 Nov 2004 19:10:28 +0100

zip (2.30-6) unstable; urgency=low

  * Removed doc symlinks.
  * Check for strchr using -fno-builtin to make gcc happy.
  * Added DEB_BUILD_OPTIONS support for noopt, dropped debug.

 -- Santiago Vila <sanvila@debian.org>  Sun, 24 Aug 2003 13:26:10 +0200

zip (2.30-5) unstable; urgency=low

  * Moved from non-US/main to main. Section: utils.

 -- Santiago Vila <sanvila@debian.org>  Sun, 24 Mar 2002 15:56:28 +0100

zip (2.30-4) unstable; urgency=low

  * Added support for DEB_BUILD_OPTIONS.
  * Updated upstream URL in copyright file.

 -- Santiago Vila <sanvila@debian.org>  Sun, 11 Nov 2001 16:19:30 +0100

zip (2.30-3) unstable; urgency=low

  * Added encryption support, moved to non-US/main.
  * Install man symlinks for zipnote, zipsplit and zipcloak, following
    clarified policy about this (Closes: #99575).
  * Modified unix/unix.c to compile under gcc-3.0/glibc-2.2 where printf
    is now a macro (Closes: #99659). Patch by Matthew Wilcox, modified
    later by Christian Spieler.
  * Removed some redundant bits from extended description.
  * Conflicts and Replaces are now versioned.
  * Recommends: unzip again.

 -- Santiago Vila <sanvila@debian.org>  Mon, 18 Jun 2001 17:37:32 +0200

zip (2.30-2) unstable; urgency=low

  * Updated upstream URL in copyright file.

 -- Santiago Vila <sanvila@debian.org>  Mon,  1 Jan 2001 18:09:38 +0100

zip (2.30-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version: 3.1.1.
  * Removed Recommends: unzip.
  * Fixed URL location in copyright file.
  * Moved to main. License is now DFSG-compliant.
  * copyright file generated from `LICENSE' file.

 -- Santiago Vila <sanvila@ctv.es>  Wed, 12 Jan 2000 13:22:41 +0100

zip (2.20-3) unstable; urgency=low

  * copyright file is not generated from README anymore (Bug #35019).
    The result was not completely appropriate for a copyright file.
  * Removed `email-from-greg' file, since it did not have any real value.

 -- Santiago Vila <sanvila@ctv.es>  Sun,  4 Apr 1999 00:31:55 +0200

zip (2.20-2) unstable; urgency=low

  * Conflicts: zip-crypt, Replaces: zip-crypt.

 -- Santiago Vila <sanvila@ctv.es>  Wed,  3 Dec 1997 17:46:34 +0100

zip (2.20-1) unstable; urgency=low

  * `copyright' file is generated from README automatically.
  * New upstream release, using pristine source.
  * Distribution unstable, Section non-free.
  * build is no longer a PHONY target.
  * Added WHATSNEW to /usr/doc/zip.
  * First libc6 release.
  * Added md5sums.

 -- Santiago Vila <sanvila@ctv.es>  Tue,  4 Nov 1997 20:54:11 +0100

zip (2.10-4) unstable; urgency=low

  * Simplified debian/rules a little bit.
  * Changed section from `misc' to `utils'.
  * Removed spurious symlinks for zipsplit and zipnote. If some automated
    bug reporting program complains, it's a bug in the automated reporting
    program, not our fault.
  * Copied `history' as is. Added the symlink changelog -> history.
  * Added TODO to /usr/doc/zip.
  * New maintainer.

 -- Santiago Vila <sanvila@ctv.es>  Sun, 16 Feb 1997 19:05:35 +0100

zip (2.10-3) unstable; urgency=low

  * removed zipcloak from the distribution (no encryption)
  * added symlinks to zip.1.gz for zipsplit and zipnote. Useless - man
    picks it up even without symlinks - but it'll at least stop automated
    bug reports complaining about the "lack".
  * renamed the Debian changelog
  * installed the upstream changelog
  * gzipped the copyright notice

 -- Stuart Lamble <lamble@yoyo.cc.monash.edu.au>  Wed, 8 Jan 1996 19:39:00 +1100

zip (2.10-2) unstable; urgency=low

  * New Debian revision: I uploaded the wrong copy of zip_2.10-1. Oops.

 -- Stuart Lamble <lamble@yoyo.cc.monash.edu.au>  Sat, 16 Nov 1996 18:17:00 +1100

zip (2.10-1) unstable; urgency=low

  * New upstream version (InfoZIP's 2.1, which is being called 2.10 for
    Debian: InfoZIP view this as an identical version number.)
  * Modified the copyright to include the copyright from 2.1 - just in case
    it's changed.
  * corrected several bugs in the rules script - all should work fine now.
  * removed zipgrep from the zip package (it's in unzip, where it really
    belongs.)

 -- Stuart Lamble <lamble@yoyo.cc.monash.edu.au>  Wed, 13 Nov 1996 19:35:24 +1100

zip (2.01-14) unstable; urgency=low

  * Stripped the installed binaries
  * Upgraded to the 2.1.1.0 source format
  * Received email from the upstream maintainers: zip can now go into
    the distribution proper. Yippee! :-)
  * Added the email in question to the copyright information document.

 -- Stuart Lamble <lamble@yoyo.cc.monash.edu.au>  Sat, 19 Oct 1996 18:33:55 +1000


30 July 1996 Stuart Lamble <lamble@yoyo.cc.monash.edu.au>
* New maintainer.

