=== debian/control ===
Source: zip
Section: user/utils
Priority: optional
Maintainer: Daniel Martin Yerga <dyerga@gmail.com>
Standards-Version: 3.6.1

Package: zip
Architecture: i386
Depends: ${shlibs:Depends}
Recommends: unzip
Conflicts: zip-crypt (<= 2.30-2)
Replaces: zip-crypt (<= 2.30-2)
Description: Archiver for .zip files
 This is InfoZIP's zip program. It produces files that are fully
 compatible with the popular PKZIP program; however, the command line
 options are not identical. In other words, the end result is the same,
 but the methods differ. :-)
