=== debian/rules ===
#!/usr/bin/make -f

package = zip
docdir = debian/tmp/usr/share/doc/$(package)
dirbin = debian/tmp/usr/bin
CC = gcc
CFLAGS = -g -Wall -I. -DUNIX
INSTALL_PROGRAM = install

ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
  INSTALL_PROGRAM += -s
endif

build:
	$(checkdir)
	unix/configure "$(CC)" "$(CFLAGS)"
	$(MAKE) -f unix/Makefile generic
	touch build

clean:
	$(checkdir)
	rm -f build
	-$(MAKE) -f unix/Makefile clean
	rm -rf debian/tmp debian/files* debian/*~ debian/*.bak debian/substvars

binary-indep: checkroot build
	$(checkdir)

binary-arch: checkroot build
	rm -rf debian/tmp
	install -d debian/tmp/DEBIAN $(docdir)
	mkdir $(dirbin)
	cp zip $(dirbin)/	
	chmod 755 debian/tmp/usr/bin/*
	cat debian/copyright.in LICENSE > $(docdir)/copyright
	dpkg-shlibdeps zip
	dpkg-gencontrol -isp
	cd debian/tmp && \
		md5sum `find * -type f ! -regex "DEBIAN/.*"` > DEBIAN/md5sums
	chown -R root:root debian/tmp
	chmod -R u+w,go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f $(package).c -a -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
