## zip 2.32-1maemo1

=== debian/changelog ===
zip (2.32-1maemo1) diablo; urgency=low

  * All-new packaging, with new bells and whistles
  * Removed docs from package, which will be deleted anyway by docpurge
  * Added the official Info-Zip icon to the package

 -- Andrew Zabolotny <zap@homelink.ru>  Thu, 31 Jul 2008 02:31:32 +0400

zip (2.32-1) unstable; urgency=low

  * New upstream release.
  * Changed unix/configure to not break DEB_BUILD_OPTIONS.

 -- Santiago Vila <sanvila@debian.org>  Thu,  6 Jul 2006 18:53:40 +0200
