## zip 2.32-1maemo2

=== debian/changelog ===
zip (2.32-1maemo2) hardy; urgency=low

  * Increased version number to force builder to re-index the package

 -- Andrew Zabolotny <zap@homelink.ru>  Sat, 09 Aug 2008 18:04:41 +0400
